| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Slots | Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
Tp::Client::ConnectionInterfaceAddressingInterface Class Reference
Client-side proxies » Connection proxies

`#include <TelepathyQt/Connection>`

Inheritance diagram for Tp::Client::ConnectionInterfaceAddressingInterface:
[legend]

## Public Slots

QDBusPendingReply< Tp::AddressingNormalizationMap, Tp::ContactAttributesMap > | GetContactsByVCardField (const QString &field, const QStringList &addresses, const QStringList &interfaces, int timeout=-1)
QDBusPendingReply< Tp::AddressingNormalizationMap, Tp::ContactAttributesMap > | GetContactsByURI (const QStringList &URIs, const QStringList &interfaces, int timeout=-1)

## Public Member Functions

| ConnectionInterfaceAddressingInterface (const QString &busName, const QString &objectPath, QObject *parent=0)
| ConnectionInterfaceAddressingInterface (const QDBusConnection &connection, const QString &busName, const QString &objectPath, QObject *parent=0)
| ConnectionInterfaceAddressingInterface (Tp::DBusProxy *proxy)
| ConnectionInterfaceAddressingInterface (const Tp::Client::ConnectionInterface &mainInterface)
| ConnectionInterfaceAddressingInterface (const Tp::Client::ConnectionInterface &mainInterface, QObject *parent)
Tp::PendingVariantMap * | requestAllProperties () const
Public Member Functions inherited from Tp::AbstractInterface
virtual | ~AbstractInterface ()
bool | isValid () const
QString | invalidationReason () const
QString | invalidationMessage () const
void | setMonitorProperties (bool monitorProperties)
bool | isMonitoringProperties () const
Public Member Functions inherited from QDBusAbstractInterface
virtual | ~QDBusAbstractInterface ()
bool | isValid () const
QDBusConnection | connection () const
QString | service () const
QString | path () const
QString | interface () const
QDBusError | lastError () const
void | setTimeout (int timeout)
int | timeout () const
QDBusMessage | call (const QString &method, const QVariant &arg1, const QVariant &arg2, const QVariant &arg3, const QVariant &arg4, const QVariant &arg5, const QVariant &arg6, const QVariant &arg7, const QVariant &arg8)
QDBusMessage | call (QDBus::CallMode mode, const QString &method, const QVariant &arg1, const QVariant &arg2, const QVariant &arg3, const QVariant &arg4, const QVariant &arg5, const QVariant &arg6, const QVariant &arg7, const QVariant &arg8)
QDBusMessage | callWithArgumentList (QDBus::CallMode mode, const QString &method, const QList< QVariant > &args)
bool | callWithCallback (const QString &method, const QList< QVariant > &args, QObject *receiver, const char *returnMethod, const char *errorMethod)
bool | callWithCallback (const QString &method, const QList< QVariant > &args, QObject *receiver, const char *slot)
QDBusPendingCall | asyncCall (const QString &method, const QVariant &arg1, const QVariant &arg2, const QVariant &arg3, const QVariant &arg4, const QVariant &arg5, const QVariant &arg6, const QVariant &arg7, const QVariant &arg8)
QDBusPendingCall | asyncCallWithArgumentList (const QString &method, const QList< QVariant > &args)
Public Member Functions inherited from QObject
| QObject (QObject *parent)
virtual | ~QObject ()
virtual bool | event (QEvent *e)
virtual bool | eventFilter (QObject *watched, QEvent *event)
virtual const QMetaObject * | metaObject () const
QString | objectName () const
void | setObjectName (const QString &name)
bool | isWidgetType () const
bool | signalsBlocked () const
bool | blockSignals (bool block)
QThread * | thread () const
void | moveToThread (QThread *targetThread)
int | startTimer (int interval)
void | killTimer (int id)
T | findChild (const QString &name) const
QList< T > | findChildren (const QString &name) const
QList< T > | findChildren (const QRegExp &regExp) const
QObject * | child (const char *objName, const char *inheritsClass, bool recursiveSearch) const
const QObjectList & | children () const
void | setParent (QObject *parent)
void | installEventFilter (QObject *filterObj)
void | removeEventFilter (QObject *obj)
bool | connect (const QObject *sender, const char *signal, const char *method, Qt::ConnectionType type) const
bool | disconnect (const char *signal, const QObject *receiver, const char *method)
bool | disconnect (const QObject *receiver, const char *method)
void | dumpObjectTree ()
void | dumpObjectInfo ()
bool | setProperty (const char *name, const QVariant &value)
QVariant | property (const char *name) const
QList< QByteArray > | dynamicPropertyNames () const
void | destroyed (QObject *obj)
QObject * | parent () const
bool | inherits (const char *className) const
void | deleteLater ()
| QObject (QObject *parent, const char *name)
void | insertChild (QObject *object)
void | removeChild (QObject *object)
bool | isA (const char *className) const
const char * | className () const
const char * | name () const
const char * | name (const char *defaultName) const
void | setName (const char *name)

## Static Public Member Functions

static QLatin1String | staticInterfaceName ()
Static Public Member Functions inherited from QObject
QString | tr (const char *sourceText, const char *disambiguation, int n)
QString | trUtf8 (const char *sourceText, const char *disambiguation, int n)
bool | connect (const QObject *sender, const char *signal, const QObject *receiver, const char *method, Qt::ConnectionType type)
bool | connect (const QObject *sender, const QMetaMethod &signal, const QObject *receiver, const QMetaMethod &method, Qt::ConnectionType type)
bool | disconnect (const QObject *sender, const char *signal, const QObject *receiver, const char *method)
bool | disconnect (const QObject *sender, const QMetaMethod &signal, const QObject *receiver, const QMetaMethod &method)

## Protected Member Functions

virtual void | invalidate (Tp::DBusProxy *, const QString &, const QString &)
Protected Member Functions inherited from Tp::AbstractInterface
| AbstractInterface (DBusProxy *proxy, const QLatin1String &interface)
| AbstractInterface (const QString &busName, const QString &path, const QLatin1String &interface, const QDBusConnection &connection, QObject *parent)
PendingVariant * | internalRequestProperty (const QString &name) const
PendingOperation * | internalSetProperty (const QString &name, const QVariant &newValue)
PendingVariantMap * | internalRequestAllProperties () const
Protected Member Functions inherited from QObject
QObject * | sender () const
int | senderSignalIndex () const
int | receivers (const char *signal) const
virtual void | timerEvent (QTimerEvent *event)
virtual void | childEvent (QChildEvent *event)
virtual void | customEvent (QEvent *event)
virtual void | connectNotify (const char *signal)
virtual void | disconnectNotify (const char *signal)
bool | checkConnectArgs (const char *signal, const QObject *object, const char *method)

## Additional Inherited Members

Signals inherited from Tp::AbstractInterface
void | propertiesChanged (const QVariantMap &changedProperties, const QStringList &invalidatedProperties)
Protected Slots inherited from Tp::AbstractInterface
Static Protected Member Functions inherited from QObject
QByteArray | normalizeSignalSlot (const char *signalSlot)
Properties inherited from QObject
| objectName

## Detailed Description

Proxy class providing a 1:1 mapping of the D-Bus interface "org.freedesktop.Telepathy.Connection.Interface.Addressing1".

## Constructor & Destructor Documentation

## § ConnectionInterfaceAddressingInterface() [1/5]

Tp::Client::ConnectionInterfaceAddressingInterface::ConnectionInterfaceAddressingInterface | ( | const QString & | busName,
|  | const QString & | objectPath,
|  | QObject * | parent = `0`
| ) |  |

Creates a ConnectionInterfaceAddressingInterface associated with the given object on the session bus.

Parameters

  busName | Name of the service the object is on.
  objectPath | Path to the object on the service.
  parent | Passed to the parent class constructor.

## § ConnectionInterfaceAddressingInterface() [2/5]

Tp::Client::ConnectionInterfaceAddressingInterface::ConnectionInterfaceAddressingInterface | ( | const QDBusConnection & | connection,
|  | const QString & | busName,
|  | const QString & | objectPath,
|  | QObject * | parent = `0`
| ) |  |

Creates a ConnectionInterfaceAddressingInterface associated with the given object on the given bus.

Parameters

  connection | The bus via which the object can be reached.
  busName | Name of the service the object is on.
  objectPath | Path to the object on the service.
  parent | Passed to the parent class constructor.

## § ConnectionInterfaceAddressingInterface() [3/5]

Tp::Client::ConnectionInterfaceAddressingInterface::ConnectionInterfaceAddressingInterface | ( | Tp::DBusProxy * | proxy | ) |

Creates a ConnectionInterfaceAddressingInterface associated with the same object as the given proxy.

Parameters

  proxy | The proxy to use. It will also be the QObject::parent() for this object.

## § ConnectionInterfaceAddressingInterface() [4/5]

Tp::Client::ConnectionInterfaceAddressingInterface::ConnectionInterfaceAddressingInterface | ( | const Tp::Client::ConnectionInterface & | mainInterface | ) |

explicit

Creates a ConnectionInterfaceAddressingInterface associated with the same object as the given proxy. Additionally, the created proxy will have the same parent as the given proxy.

Parameters

  mainInterface | The proxy to use.

## § ConnectionInterfaceAddressingInterface() [5/5]

Tp::Client::ConnectionInterfaceAddressingInterface::ConnectionInterfaceAddressingInterface | ( | const Tp::Client::ConnectionInterface & | mainInterface,
|  | QObject * | parent
| ) |  |

Creates a ConnectionInterfaceAddressingInterface associated with the same object as the given proxy. However, a different parent object can be specified.

Parameters

  mainInterface | The proxy to use.
  parent | Passed to the parent class constructor.

## Member Function Documentation

## § staticInterfaceName()

static QLatin1String Tp::Client::ConnectionInterfaceAddressingInterface::staticInterfaceName | ( |  | ) |

inline static

Returns the name of the interface "org.freedesktop.Telepathy.Connection.Interface.Addressing1", which this class represents.

Returns
  The D-Bus interface name.

## § requestAllProperties()

Tp::PendingVariantMap* Tp::Client::ConnectionInterfaceAddressingInterface::requestAllProperties | ( |  | ) | const

inline

Request all of the DBus properties on the interface.

Returns
  A pending variant map which will emit finished when the properties have been retrieved.

## § GetContactsByVCardField

QDBusPendingReply<Tp::AddressingNormalizationMap, Tp::ContactAttributesMap> Tp::Client::ConnectionInterfaceAddressingInterface::GetContactsByVCardField | ( | const QString & | field,
|  | const QStringList & | addresses,
|  | const QStringList & | interfaces,
|  | int | timeout = `-1`
| ) |  |

inline slot

Begins a call to the D-Bus method `GetContactsByVCardField` on the remote object.

Request contacts and retrieve their attributes using a given field in their vCards.

The connection manager should record that these handles are in use by the client who invokes this method, and must not deallocate the handles until the client disconnects from the bus or calls the ConnectionInterface::ReleaseHandles() method.

Note that timeout is ignored as of now. It will be used once http://bugreports.qt.nokia.com/browse/QTBUG-11775 is fixed.

Parameters

  field | The vCard field of the addresses we are requesting. The field name SHOULD be in lower case. Supported fields can be found in ProtocolInterfaceAddressingInterface::AddressableVCardFields . The `url` vCard field MUST NOT appear here; see GetContactsByURI() instead. In practice, protocols have a limited set of URI schemes that make sense to resolve as a contact.

  addresses

      The addresses to get contact handles for. The address types should
      match the given vCard field.

  interfaces

  A list of strings indicating which D-Bus interfaces the calling process is interested in. All supported attributes from these interfaces, whose values can be obtained without additional network activity, will be in the reply.

  Attributes from this interface and from ConnectionInterface are always returned, and need not be requested explicitly.

  The behavior of this parameter is similar to the same parameter in ConnectionInterfaceContactsInterface::GetContactAttributes() .

  timeout | The timeout in milliseconds.

Returns

A mapping from requested vCard addresses to the corresponding contact handles.

Requested addresses that are not valid or understood for this protocol MUST be omitted from the mapping.

Returns

A dictionary mapping the contact handles to contact attributes. If any of the requested addresses are in fact invalid, they are simply omitted from this mapping. If contact attributes are not immediately known, the behaviour is defined by the interface; the attribute should either be omitted from the result or replaced with a default value.

Requested addresses that are not valid or understood for this protocol MUST be omitted from the mapping.

Each contact's attributes will always include at least the identifier that would be obtained by inspecting the handle (`org.freedesktop.Telepathy.Connection/contact-id`).

## § GetContactsByURI

QDBusPendingReply<Tp::AddressingNormalizationMap, Tp::ContactAttributesMap> Tp::Client::ConnectionInterfaceAddressingInterface::GetContactsByURI | ( | const QStringList & | URIs,
|  | const QStringList & | interfaces,
|  | int | timeout = `-1`
| ) |  |

inline slot

Begins a call to the D-Bus method `GetContactsByURI` on the remote object.

Request contacts and retrieve their attributes using URI addresses.

The connection manager should record that these handles are in use by the client who invokes this method, and must not deallocate the handles until the client disconnects from the bus or calls the ConnectionInterface::ReleaseHandles() method.

Note that timeout is ignored as of now. It will be used once http://bugreports.qt.nokia.com/browse/QTBUG-11775 is fixed.

Parameters

  URIs

      The URI addresses to get contact handles for. Supported schemes can
      be found in AddressableURISchemes.

  interfaces

  A list of strings indicating which D-Bus interfaces the calling process is interested in. All supported attributes from these interfaces, whose values can be obtained without additional network activity, will be in the reply.

  Attributes from this interface and from ConnectionInterface are always returned, and need not be requested explicitly.

  The behavior of this parameter is similar to the same parameter in ConnectionInterfaceContactsInterface::GetContactAttributes() .

  timeout | The timeout in milliseconds.

Returns

A mapping of requested URIs to the corresponding contact handles.

Requested URIs that are not valid or understood for this protocol MUST be omitted from the mapping.

Returns

A dictionary mapping the contact handles to contact attributes. If any of the requested addresses are in fact invalid, they are simply omitted from this mapping. If contact attributes are not immediately known, the behaviour is defined by the interface; the attribute should either be omitted from the result or replaced with a default value.

Requested URIs that are not valid or understood for this protocol MUST be omitted from the mapping.

Each contact's attributes will always include at least the identifier that would be obtained by inspecting the handle (`org.freedesktop.Telepathy.Connection/contact-id`).

## § invalidate()

void Tp::Client::ConnectionInterfaceAddressingInterface::invalidate | ( | Tp::DBusProxy * | proxy,
|  | const QString & | error,
|  | const QString & | message
| ) |  |

protected virtual

Reimplemented from Tp::AbstractInterface.